## pytest-catchlog 1.2.1

=== Makefile ===
.PHONY: docs
.SILENT: init-devel test test-tox test-coverage

all: clean test

clean-coverage:
	-rm .coverage*
	-rm coverage.xml
	-rm -rfv htmlcov

clean-pyc:
	-find . -path './.tox' -prune -or \
		-name '__pycache__' -exec rm -rv {} +
	-find . -path './.tox' -prune -or \
		\( -name '*.pyc' -or -name '*.pyo' \) -exec rm -rv {} +

clean: clean-pyc clean-coverage
	-rm -rv build dist *.egg-info

test:
	py.test -v test_pytest_catchlog.py

test-coverage:
	coverage erase
	coverage run --source=pytest_catchlog --branch -m pytest -v
	coverage report
	coverage xml

audit:
	flake8 pytest_catchlog.py

wheel:
	python setup.py bdist_wheel

sdist:
	python setup.py sdist

## pytest-catchlog 1.1

=== debian/changelog ===
pytest-catchlog (1.1-1) unstable; urgency=medium

  * Initial release (Closes: #793191)

 -- Daniel Stender <debian@danielstender.com>  Mon, 27 Jul 2015 00:35:40 +0200

=== debian/control ===
Source: pytest-catchlog
Section: python
Priority: optional
Maintainer: Daniel Stender <debian@danielstender.com>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-py,
 python-setuptools,
 python-pytest,
 python3-all,
 python3-py,
 python3-setuptools,
 python3-pytest
Standards-Version: 3.9.6
Homepage: https://github.com/eisensheng/pytest-catchlog
Vcs-Git: git://anonscm.debian.org/python-modules/packages/pytest-catchlog.git
Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/pytest-catchlog.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Testsuite: autopkgtest

Package: python-pytest-catchlog
Architecture: all
Depends:
 python-pytest,
 ${misc:Depends},
 ${python:Depends}
Description: py.test plugin to capture test log messages
 By default each captured log message shows the module, line number, log level
 and message. Showing the exact module and line number is useful for testing
 and debugging. If desired the log format and date format can be specified to
 anything that the logging module supports.
 .
 This is a fork of pytest-capturelog by Meme Dough.
 .
 The package contains the plugin for Python 2 code.

Package: python3-pytest-catchlog
Architecture: all
Depends:
 python3-pytest,
 ${misc:Depends},
 ${python3:Depends}
Description: py.test plugin to capture test log messages (Python3)
 By default each captured log message shows the module, line number, log level
 and message. Showing the exact module and line number is useful for testing
 and debugging. If desired the log format and date format can be specified to
 anything that the logging module supports.
 .
 This is a fork of pytest-capturelog by Meme Dough.
 .
 The package contains the plugin for Python 3 code.

## pytest-catchlog 1.2.1

=== debian/changelog ===
pytest-catchlog (1.2.1-1) unstable; urgency=medium

  * New upstream release (Closes: #808525).
  * deb/control:
    + put group into Maintainer field (group uploads without confirmation are
      all right with me).
    + use https for Vcs-Browser.

 -- Daniel Stender <debian@danielstender.com>  Wed, 30 Dec 2015 20:24:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: pytest-catchlog
 Section: python
 Priority: optional
-Maintainer: Daniel Stender <debian@danielstender.com>
-Uploaders:
- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Daniel Stender <debian@danielstender.com>
 Build-Depends:
  debhelper (>= 9),
  dh-python,
@@ -18,7 +17,7 @@
 Standards-Version: 3.9.6
 Homepage: https://github.com/eisensheng/pytest-catchlog
 Vcs-Git: git://anonscm.debian.org/python-modules/packages/pytest-catchlog.git
-Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/pytest-catchlog.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pytest-catchlog.git
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Testsuite: autopkgtest

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=pytest-catchlog

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -v -x" dh_auto_test
	# run tests after install bcs the plugin needs to get registered by setup.py/entry_points

override_dh_installdocs:
	dh_installdocs -A README.rst

=== debian/tests/control ===
Tests: python-pytest-catchlog
Depends: python-all, python-py, python-pytest, python-pytest-catchlog
Restrictions: allow-stderr

Tests: python3-pytest-catchlog
Depends: python3-all, python3-py, python3-pytest, python3-pytest-catchlog
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]+)\.tar\.gz/pytest-catchlog-$1.tar.gz/" \
https://github.com/eisensheng/pytest-catchlog/releases (?:.*/)?v?(\d[\d\.]+)\.tar\.gz

## pytest-catchlog 1.2.2

=== debian/changelog ===
pytest-catchlog (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + updated uploader email address.
    + added Pandoc to build-deps.
    + bumped standards to 3.9.7 (no changes needed).
    + use HTTPS also for Vcs-Git.
    + removed Testsuite field (obsolete).
  * deb/copyright: updated.
  * deb/rules: use Pandoc to convert README to plaintext.
  * deb/test/python{,3}-pytest-catchlog:
    + put set -e into script body.
    + use shell loop instead of pipes with xargs and env.
  * Added deb/source/options (ignore egg-info).

 -- Daniel Stender <stender@debian.org>  Fri, 18 Mar 2016 12:02:37 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Daniel Stender <debian@danielstender.com>
+Uploaders: Daniel Stender <stender@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-python,
@@ -13,14 +13,14 @@
  python3-all,
  python3-py,
  python3-setuptools,
- python3-pytest
-Standards-Version: 3.9.6
+ python3-pytest,
+ pandoc
+Standards-Version: 3.9.7
 Homepage: https://github.com/eisensheng/pytest-catchlog
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/pytest-catchlog.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pytest-catchlog.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pytest-catchlog.git
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Testsuite: autopkgtest
 
 Package: python-pytest-catchlog
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,5 @@
 	# run tests after install bcs the plugin needs to get registered by setup.py/entry_points
 
 override_dh_installdocs:
-	dh_installdocs -A README.rst
+	pandoc -f rst -t plain -o .pybuild/README README.rst
+	dh_installdocs -A .pybuild/README

## pytest-catchlog 1.2.2+git20170915

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	-rm -rv build dist *.egg-info
 
 test:
-	py.test -v test_pytest_catchlog.py
+	py.test -v tests
 
 test-coverage:
 	coverage erase
@@ -27,7 +27,7 @@
 	coverage xml
 
 audit:
-	flake8 pytest_catchlog.py
+	flake8 pytest_catchlog
 
 wheel:
 	python setup.py bdist_wheel

=== debian/changelog ===
pytest-catchlog (1.2.2+git20170915-3) unstable; urgency=medium

  * Orphan package:
    + deb/control: put Debian QA in Maintainer field, drop Uploaders.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

 -- Daniel Stender <stender@debian.org>  Mon, 19 Feb 2018 16:49:18 +0100

pytest-catchlog (1.2.2+git20170915-2) unstable; urgency=medium

  * Upload again, with pygal added dependencies
  * Team upload

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Sep 2017 19:06:14 +0200

pytest-catchlog (1.2.2+git20170915-1) unstable; urgency=medium

  * Team upload
  * Bump std-version to 4.1.0
  * New upstream snapshot
  * debian/patches/69.patch: Fix test failures with upstream PR
    (Closes: #871998)
  * Add new python-pygal dependency, needed for tests.
  * Drop perf tests, not yet working with Debian toolchain

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Sep 2017 18:42:21 +0200

pytest-catchlog (1.2.2-3) unstable; urgency=medium

  * drop git-dpm patch regime (remove deb/.git-dpm).
  * deb/gbp.conf:
    + change debian-branch to meet DEP-14.
    + add sign-tags.
  * deb/copyright: expand copyright span.
  * deb/tests/control: dropped allow-stderr (not needed).
  * add fix-test-failures.patch (Closes: #868780).

 -- Daniel Stender <stender@debian.org>  Wed, 19 Jul 2017 08:58:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: pytest-catchlog
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Daniel Stender <stender@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
  python-all,
  python-py,
+ python-pygal,
  python-setuptools,
  python-pytest,
  python3-all,
  python3-py,
+ python3-pygal,
  python3-setuptools,
  python3-pytest,
  pandoc
-Standards-Version: 3.9.7
+Standards-Version: 4.1.0
 Homepage: https://github.com/eisensheng/pytest-catchlog
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pytest-catchlog.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pytest-catchlog.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/pytest-catchlog.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pytest-catchlog
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,10 @@
 
 override_dh_auto_test:
 
+override_dh_auto_build:
+	dh_auto_build
+	rm -rf tests/perf
+
 override_dh_auto_install:
 	dh_auto_install
 	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -v -x" dh_auto_test
